Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000123Piwigoalbumspublic2005.06.11 08:162005.11.09 22:47
ReporterMonsieurDusnob 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5 branch 
Summary0000123: RSS flow for new photos
DescriptionIt would be nice that each category offers an RSS flow to inform users about new photos. Only when new photos are added would it be necessary to update the RSS file, and you wouldn't have to worry about which user has access to which category (what you would have to do it you sent emails).

What do you think ?
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
child of 0000105closedplg mail to users when new pictures avalaible 
child of 0000029closedplg mail notification for users when new comments 
child of 0000090closedplg Mail when a new picture is uploaded 
child of 0000091closedplg mail when new comment 

-  Notes
(0000163)
plg (manager)
2005.06.13 11:34

RSS feed is a convenient solution to notification issues. I've been thinking about it for months. The major problem comes from permissions.

Constructing an RSS feed for each category is quite simple, but it doesn't suit most common need : I want to know when photos are added. The most current case is new photos in new categories. An RSS feed for each existing category won't help a lot.

An RSS feed for the whole gallery would be better, but would require authentication to know if somte private categories were added/updated.

I've seen in my RSS feed reader (liferea) that it was possible to authenticate for any particular feed. This option doesn't seem to be implemented in every feed reader :-/

I'm quite sure RSS feed will be the solution to notification in branch 1.5, but some questions remains...
(0000164)
MonsieurDusnob (reporter)
2005.06.13 12:13

What about an RSS feed for each user group ? Either this feed would warn about new/deleted categories, or warn about new images as well...
(0000165)
plg (manager)
2005.06.13 22:44

Thanks to the train from Paris to St-Etienne, I've taken a moment to think about the RSS idea :-) I think something is coming and I'm very enthusiastic!

My problem is "How to take into account permissions". The answer is a "feed key" for each user. The user "feed key", contrary to "session key" is not temporary. But the "session key" security level is not required for "feed key" since RSS feeds won't give the same informations (no pictures in RSS feed). New database field required : users.feed_id.

First next question is : what informations to give in RSS feed ? My reflexions led me to think about "what's new since last feed check?". New comments, new photos, new/updated categories. So we need a new database field : users.feed_last_update (datetime type).

For the first versions of this feature, I don't think useful to separate comments and elements feeds.

What is your opinion? (obviously, this feature will be in branch 1.5, personnaly I need it even before..).
(0000166)
MonsieurDusnob (reporter)
2005.06.14 07:55

Your feed key seems like a good idea to me.

As to the contents of the feed, the trouble with "last feed check" is that some RSS news readers will load the file even if the user doesn't read it and plans to do it later. Then what will happen later ? Maybe the RSS reader will check again the feed and discover no news and erase what the user did not read yet...

I don't know what RSS readers are supposed to do in this situation, but I'd rather have the feed to contain all "new" information, "new" meaning the same as in the administration panel : images added in, say, the last 7 days.

Or maybe the admin could choose between those two behaviors ?
(0000167)
plg (manager)
2005.06.15 19:52

> Maybe the RSS reader [...] erase what the user did not read yet...

I would say this behaviour should make you change to another RSS reader! It's Comparing to emails, it would be like if your email client deleted your mail if they can't be found on the server!

The feed_id is a better solution for registered users. But this solution is not applicable for unregistered users : how to give them a feed_id?

For unregistered users, the "fixed period" is the only solution, I think. For example, the period is set to 1 day. The RSS feed would update only after period end and tell if something happened in the last X periods. "News between 2005-06-15 00:00:00 and 2005-06-16 00:00:00".

Next step is to write the complete specification, for branch 1.5 development. This specification will be written in the french section of the wiki. For english users, you can give your opinion in this "bugtracker topic".
(0000168)
MonsieurDusnob (reporter)
2005.06.15 20:47

One caveat about this design for registered users. Currently I have setup an an account for my colleagues to access my gallery. Since there are quite numerous persons, they just share the same login/passwd . In this situation the fixed period RSS feed is better.

I guess both feeds could coexist for the registered user to choose...
(0000169)
plg (manager)
2005.06.15 20:52

> I guess both feeds could coexist for the registered user to choose...

Obviously yes :-) ([french]qui peut le plus, peut le moins[/french])
(0000171)
plg (manager)
2005.06.22 22:11

I (pierrick) said earlier :

> Next step is to write the complete specification

http://phpwebgallery.net/doc/doku.php?id=fr:specifications:branche_1.5:notification [^] The wiki page is linked to a forum topic for discussion.

- Issue History
Date Modified Username Field Change
2005.06.11 08:16 MonsieurDusnob New Issue
2005.06.11 08:16 MonsieurDusnob browser => any
2005.06.11 08:16 MonsieurDusnob Web server => Apache 1.3.x
2005.06.13 08:43 plg Status new => acknowledged
2005.06.13 08:43 plg Product Version 1.4.1 =>
2005.06.13 11:34 plg Note Added: 0000163
2005.06.13 12:13 MonsieurDusnob Note Added: 0000164
2005.06.13 22:44 plg Note Added: 0000165
2005.06.13 22:45 plg Status acknowledged => assigned
2005.06.13 22:45 plg Assigned To => plg
2005.06.14 07:55 MonsieurDusnob Note Added: 0000166
2005.06.15 19:52 plg Note Added: 0000167
2005.06.15 20:47 MonsieurDusnob Note Added: 0000168
2005.06.15 20:52 plg Note Added: 0000169
2005.06.22 22:11 plg Note Added: 0000171
2005.06.25 17:17 plg Relationship added related to 0000105
2005.06.26 17:33 plg Relationship deleted related to 0000105
2005.06.26 17:33 plg Relationship added child of 0000105
2005.06.26 17:33 plg Relationship added child of 0000029
2005.06.26 17:35 plg Relationship added child of 0000090
2005.06.26 17:36 plg Relationship added child of 0000091
2005.11.09 22:47 plg Status assigned => closed
2005.11.09 22:47 plg Resolution open => fixed
2005.11.09 22:47 plg Fixed in Version => 1.5 branch


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker